import { eCheckResult } from '@regulaforensics/document-reader-typings';
import { eRfidApplicationType } from '@regulaforensics/document-reader-typings';
import { FC } from 'react';
import { ForwardRefExoticComponent } from 'react';
import { HTMLAttributes } from 'react';
import { iRImageQuality } from '@regulaforensics/document-reader-typings';
import { iRLocation } from '@regulaforensics/document-reader-typings';
import { JSX as JSX_2 } from 'react/jsx-runtime';
import { RAuthenticityCheckGroupsItem } from '@regulaforensics/document-reader-typings';
import { ReactNode } from 'react';
import { RefAttributes } from 'react';
import { TDetectResponse } from '@regulaforensics/facesdk-webclient';

/** Displays the document processing time and additional fields. */
export declare const About: FC<IAboutProps>;

/** Display warning messages that require attention. */
export declare const Alert: FC<IAlertProps>;

/** Arrow icon */
declare const Arrow: FC<IArrowProps>;

declare const AuthenticityLabel: FC<iAuthenticityLabelProps>;

declare const AuthenticityTextCheckReference: FC<iAuthenticityTextCheckReferenceProps>;

/** Skeleton. */
declare const Block: FC<IBlockProps>;

/** Brackets icon. */
declare const Brackets: FC<IBracketsProps>;

declare const CheckDiagnose: FC<iCheckDiagnoseProps>;

export declare const checkLocation: (rects: ICheckLocationProps[]) => boolean;

declare const CheckResultVerification: FC<iCheckResultVerificationProps>;

export declare const checkSelection: (selections: ISelection[], current: ISelection[]) => boolean;

/** ClosedEye icon. */
declare const ClosedEye: FC<IClosedEyeProps>;

/** A content area which can be collapsed and expanded. */
export declare const Collapse: FC<ICollapseProps>;

export declare const Container: IContainer;

/** Copy icon. */
declare const Copy: FC<ICopyProps>;

/** Cross icon. */
declare const Cross: FC<ICrossProps>;

/** Icon for missing images. */
export declare const DefaultImage: FC<IDefaultImageProps>;

/** Context provider component. Provides all child components with response, request, and selected language.
 * The components used to display the results of document processing must be wrapped with it.
 */
export declare const DocReaderContainer: FC<IDocReaderContainerProps>;

export declare const DocumentImages: FC<iDocumentImagesProps>;

/** Tabs with document information. */
export declare const DocumentTabs: FC<iDocumentTabsProps>;

declare const DocumentType_2: FC<iDocumentTypeProps>;
export { DocumentType_2 as DocumentType }

/** Download icon. */
declare const Download: FC<IDownloadProps>;

export declare enum eInfoTabID {
    TEXT_DATA = "TEXT_DATA",
    AUTHENTICITY = "AUTHENTICITY",
    IMAGE_QUALITY = "IMAGE_QUALITY",
    IDENTIFICATION = "IDENTIFICATION"
}

/** Eye icon. */
declare const Eye: FC<IEyeProps>;

/** Context provider component. Provides all child components with face image quality data and selected language.
 * The components used to display the results of face image quality must be wrapped with it.
 */
export declare const FaceContainer: FC<IFaceContainerProps>;

declare const FaceImageQualityCheckLabel: FC<iFaceImageQualityCheckLabelProps>;

/** Face image quality data. */
export declare const FaceImageQualityData: () => JSX_2.Element | null;

declare const FaceImageQualityLabel: FC<iFaceImageQualityLabelProps>;

declare const getAuthenticityLabel: (input: any) => string | number;

export declare const getAuthenticityOpenFields: (authenticity: RAuthenticityCheckGroupsItem[]) => Set<string>;

declare const getAuthenticityTextCheckReference: (input: any) => string | number;

declare const getCheckDiagnose: (input: any) => string | number;

declare const getCheckResultVerification: (input: any) => string;

declare const getFaceImageQualityCheckLabel: (input: any) => string;

declare const getFaceImageQualityLabel: (input: any) => string;

declare const getGraphicFieldType: (input: any) => string | number;

declare const getGroupDescription: (input: any) => string;

declare const getImageQualityCheckTypeLabel: (input: any) => string | number;

export declare const getImageQualityOpenFields: (imageQuality: iRImageQuality[]) => Set<string>;

declare const getIRVisibilityStatus: (input: any) => string | number;

declare const getLCID: (input: any) => string | number;

declare const getLightsLabel: (input: any) => string | number;

declare const getOpticalStatusField: (input: any) => string;

declare const getPortraitComparisonSource: (input: any) => string | number;

declare const getRfidApplicationDescription: (input: eRfidApplicationType) => string;

declare const getRfidApplicationType: (input: eRfidApplicationType) => string | eRfidApplicationType;

declare const getRfidCertificateType: (input: any) => string | number;

declare const getRfidDataFileType: (input: any) => string | number;

declare const getSecurityFeatureTypeLabel: (input: any) => string | number;

declare const getSex: (input: any) => string;

declare const getSource: (input: any) => string;

declare const getSourceDescription: (input: any) => string;

declare const getVisualFieldType: (input: any) => string | number;

declare const GraphicFieldType: FC<iGraphicFieldTypeProps>;

/** The images contained in the response. */
export declare const Graphics: FC<IGraphicsProps>;

declare const GroupDescription: FC<iGroupDescriptionProps>;

declare interface IAboutProps {
    /** Additional fields. */
    additionalFields?: Array<{
        name: string;
        value: string | number;
    }>;
}

export declare interface IAlertProps extends HTMLAttributes<HTMLDivElement> {
    /** Alert content. */
    children: ReactNode;
    /** Data attributes. */
    dataAttributes?: {
        [key: string]: string;
    };
}

declare interface IArrowProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface iAuthenticityLabelProps {
    children: ReactNode;
}

declare interface iAuthenticityTextCheckReferenceProps {
    children: ReactNode;
}

declare interface IBlockProps extends HTMLAttributes<HTMLDivElement> {
    /** Skeleton width. */
    width?: number | string;
    /** Skeleton height. */
    height?: number | string;
    /** Skeleton border radius. */
    borderRadius?: number;
}

declare interface IBracketsProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface iCheckDiagnoseProps {
    children: ReactNode;
}

declare interface ICheckLocationProps {
    top: number;
    left: number;
    right: number;
    bottom: number;
}

declare interface iCheckResultVerificationProps {
    children: ReactNode;
}

declare interface IClosedEyeProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

export declare interface ICollapseProps extends HTMLAttributes<HTMLDivElement> {
    /** Title of the content. */
    head: ReactNode;
    /** The ability to collapse and expand content. */
    collapse?: boolean;
    /** State of the hidden content, expanded or collapsed. */
    open?: boolean;
    /** The initial state of the hidden content, expanded or collapsed. */
    defaultOpen?: boolean;
    /** Collapsed content. */
    children: ReactNode;
    /** Component style type. */
    type?: 'nested' | 'rounded';
    /** The callback function that is triggered when the content is collapsed or expanded. */
    onOpen?: (isOpen: boolean) => void;
    /** The click area for content expansion. */
    openClickArea?: 'icon' | 'head';
    /** Data attributes. */
    dataAttributes?: {
        [key: string]: string;
    };
}

export declare const Icon: IIcon;

declare const Icon_2: ForwardRefExoticComponent<HTMLAttributes<HTMLSpanElement> & RefAttributes<HTMLSpanElement>>;

declare interface IContainer extends FC {
    Icon: typeof Icon_2;
}

declare interface ICopyProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface ICrossProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface IDefaultImageProps extends HTMLAttributes<HTMLDivElement> {
    /** Icon type. */
    type?: ImageType;
}

declare interface IDocReaderContainerProps extends HTMLAttributes<HTMLElement> {
    /** Processing response object. */
    response: unknown;
    /** Request object. */
    request?: any;
    /** Selected language. */
    language?: string;
}

declare interface iDocumentImagesProps {
    imageViewer?: boolean;
    className?: string;
    initialPageIndex?: number;
    initialLight?: number;
    onPageChanged?: (page: number) => void;
    onLightChanged?: (light: number) => void;
}

declare interface iDocumentTabsProps {
    imageViewer?: boolean;
    className?: string;
    initialTab?: eInfoTabID;
    onTabChange?: (tab: eInfoTabID) => void;
    initialScrollPosition?: Partial<TTabScrollState>;
    onScrollTop?: (position: TTabScrollState) => void;
    openFields?: Partial<TOpenFieldsState>;
    onOpenFieldsChange?: (fields: TOpenFieldsState) => void;
}

declare interface iDocumentTypeProps {
    className?: string;
}

declare interface IDownloadProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface IEyeProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface IFaceContainerProps extends HTMLAttributes<HTMLElement> {
    /** Image quality data. */
    quality: TDetectResponse;
    /** Selected language. */
    language?: string;
}

declare interface iFaceImageQualityCheckLabelProps {
    children: ReactNode;
}

declare interface iFaceImageQualityLabelProps {
    children: ReactNode;
}

declare interface iGraphicFieldTypeProps {
    children: ReactNode;
}

declare interface IGraphicsProps {
    /** Full-screen photo display */
    imageViewer?: boolean;
}

declare interface iGroupDescriptionProps {
    children: ReactNode;
}

export declare interface IH1Props extends HTMLAttributes<HTMLTitleElement> {
    textAlign?: 'center' | 'right' | 'left';
    uppercase?: boolean;
    children?: ReactNode;
    level?: 1 | 2;
}

declare interface IIcon extends FC {
    Verified: typeof Verified;
    NotVerified: typeof NotVerified;
    Unknown: typeof Unknown;
    Warning: typeof Warning;
    ClosedEye: typeof ClosedEye;
    Eye: typeof Eye;
    Menu: typeof Menu;
    Arrow: typeof Arrow;
    Question: typeof Question;
    Refresh: typeof Refresh;
    Copy: typeof Copy;
    Brackets: typeof Brackets;
    Zip: typeof Zip;
    Magnifier: typeof Magnifier;
    Download: typeof Download;
    Cross: typeof Cross;
    LinkArrow: typeof LinkArrow;
}

declare interface IImageProps extends HTMLAttributes<HTMLDivElement> {
    /** Path to the image. */
    src: string;
    /** Specifies an alternate text for an image, if the image cannot be displayed. */
    alt: string;
    /** Indicates whether the element can be dragged. */
    draggable?: boolean;
    /** Displaying a button for downloading an image. */
    download?: boolean;
    /** Magnifier display. */
    magnifier?: boolean;
    /** Full-screen image display. */
    viewer?: boolean;
    /** Zoom level of the magnifier. */
    zoomLevel?: number;
    /** Magnifier width. */
    magnifierWidth?: number;
    /** Magnifier height.  */
    magnifierHeight?: number;
    /** Path to the magnifier image. Default magnifierImg === src */
    magnifierImg?: string;
    /** Path to the preview image. Default previewImg === src */
    previewImg?: string;
    /** Path to the image to download. Default downloadImg === src */
    downloadImg?: string;
    /** Magnifier image border radius. */
    magnifierImgBorderRadius?: number;
}

declare interface iImageQualityCheckTypeLabelProps {
    children: ReactNode;
}

declare interface IInfoProps {
    /** Full-screen photo display */
    imageViewer?: boolean;
}

declare interface iIRVisibilityStatusProps {
    children: ReactNode;
}

declare interface IJsonViewerProps {
    /** Input data. */
    data: any;
}

declare interface iLcidProps {
    children: ReactNode;
}

declare interface iLightsLabelProps {
    children: ReactNode;
}

declare interface ILinkArrowProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface ILinkProps extends HTMLAttributes<HTMLDivElement> {
    /** Link address. */
    href: string;
    /** specifies where to open the linked document. */
    target?: string;
    /** Link label. */
    children: ReactNode;
}

/** An image wrapper that adds various utilities. */
declare const Image_2: ForwardRefExoticComponent<IImageProps & RefAttributes<HTMLDivElement>>;
export { Image_2 as Image }

declare const ImageQualityCheckTypeLabel: FC<iImageQualityCheckTypeLabelProps>;

declare type ImageType = 'photo' | 'passport' | 'id-card';

declare interface IMagnifierProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface IMatch extends FC {
    AuthenticityLabel: typeof AuthenticityLabel;
    getAuthenticityLabel: typeof getAuthenticityLabel;
    CheckDiagnose: typeof CheckDiagnose;
    getCheckDiagnose: typeof getCheckDiagnose;
    CheckResultVerification: typeof CheckResultVerification;
    getCheckResultVerification: typeof getCheckResultVerification;
    GraphicFieldType: typeof GraphicFieldType;
    getGraphicFieldType: typeof getGraphicFieldType;
    ImageQualityCheckTypeLabel: typeof ImageQualityCheckTypeLabel;
    getImageQualityCheckTypeLabel: typeof getImageQualityCheckTypeLabel;
    LightsLabel: typeof LightsLabel;
    getLightsLabel: typeof getLightsLabel;
    OpticalStatusField: typeof OpticalStatusField;
    getOpticalStatusField: typeof getOpticalStatusField;
    RfidCertificateType: typeof RfidCertificateType;
    getRfidCertificateType: typeof getRfidCertificateType;
    RfidDataFileType: typeof RfidDataFileType;
    getRfidDataFileType: typeof getRfidDataFileType;
    SecurityFeatureTypeLabel: typeof SecurityFeatureTypeLabel;
    getSecurityFeatureTypeLabel: typeof getSecurityFeatureTypeLabel;
    Sex: typeof Sex;
    getSex: typeof getSex;
    Source: typeof Source;
    getSource: typeof getSource;
    PortraitComparisonSource: typeof PortraitComparisonSource;
    getPortraitComparisonSource: typeof getPortraitComparisonSource;
    SourceDescription: typeof SourceDescription;
    getSourceDescription: typeof getSourceDescription;
    VisualFieldType: typeof VisualFieldType;
    getVisualFieldType: typeof getVisualFieldType;
    LCID: typeof LCID;
    getLCID: typeof getLCID;
    IRVisibilityStatus: typeof IRVisibilityStatus;
    getIRVisibilityStatus: typeof getIRVisibilityStatus;
    AuthenticityTextCheckReference: typeof AuthenticityTextCheckReference;
    getAuthenticityTextCheckReference: typeof getAuthenticityTextCheckReference;
    GroupDescription: typeof GroupDescription;
    getGroupDescription: typeof getGroupDescription;
    RfidApplicationType: typeof RfidApplicationType;
    getRfidApplicationType: typeof getRfidApplicationType;
    RfidApplicationDescription: typeof RfidApplicationDescription;
    getRfidApplicationDescription: typeof getRfidApplicationDescription;
    FaceImageQualityLabel: typeof FaceImageQualityLabel;
    getFaceImageQualityLabel: typeof getFaceImageQualityLabel;
    FaceImageQualityCheckLabel: typeof FaceImageQualityCheckLabel;
    getFaceImageQualityCheckLabel: typeof getFaceImageQualityCheckLabel;
}

declare interface IMenuProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

export declare const Info: FC<IInfoProps>;

declare interface INotVerifiedProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface iOpticalStatusFieldProps {
    children: ReactNode;
}

declare interface IPersonInfoProps {
    /** Portrait display. */
    showPortrait?: boolean;
    /** Component class name. */
    className?: string;
    /** Full-screen photo display */
    imageViewer?: boolean;
}

export declare interface IPopoverProps extends HTMLAttributes<HTMLDivElement> {
    /** Hint content. */
    modal: ReactNode;
    /** Text label. */
    children: ReactNode;
}

declare interface iPortraitComparisonSourceProps {
    children: ReactNode;
}

declare interface IPortraitsComparisonProps {
    /** Full-screen photo display */
    imageViewer?: boolean;
}

declare interface IQuestionProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface IRefreshProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface IRequestViewerProps {
    /** Section title. */
    title?: string;
}

declare interface iRfidApplicationDescriptionProps {
    children: eRfidApplicationType;
}

declare interface iRfidApplicationTypeProps {
    children: eRfidApplicationType;
}

declare interface iRfidCertificateTypeProps {
    children: ReactNode;
}

declare interface iRfidDataFileTypeProps {
    children: ReactNode;
}

declare const IRVisibilityStatus: FC<iIRVisibilityStatusProps>;

declare interface IScrollProps extends HTMLAttributes<HTMLDivElement> {
    /** The maximum height of the content after which the scroll appears. */
    maxHeight?: number;
    /** Content that can increase in height */
    extendedItemSelector?: string;
    /** Scrolling delay if the content has increased */
    extendedScrollDelay?: number;
    /** Auto scroll offset */
    extendedScrollOffset?: number;
    /** Scroll start position. */
    initialScrollPosition?: number;
    /** Scroll top listener. */
    onScrollTop?: (position: number) => void;
    /** Content. */
    children: ReactNode;
}

declare interface iSecurityFeatureTypeLabelProps {
    children: ReactNode;
}

declare interface ISelection {
    page: number;
    path: string;
    checkResult: eCheckResult;
    location: iRLocation;
}

declare interface iSexProps {
    children: ReactNode;
}

export declare interface ISkeleton extends FC {
    Block: typeof Block;
}

declare interface iSourceDescriptionProps {
    children: ReactNode;
}

declare interface iSourceProps {
    children: ReactNode;
}

declare interface IStatusProps {
    /** Additional fields. */
    additionalFields?: Array<{
        name: string;
        value: string | number;
    }>;
    /** Scroll to the selected result. */
    scrollToResult?: boolean;
    /** Full-screen photo display */
    imageViewer?: boolean;
}

export declare interface iTabItem {
    id: string | number;
    label: string;
    children?: ReactNode;
}

export declare interface ITableProps extends HTMLAttributes<HTMLTableElement> {
    /** Rows content. */
    dataSource: Array<Record<string, ReactNode>>;
    /** Columns. */
    columns: Array<{
        title: string;
        dataIndex: string;
    }>;
}

export declare interface iTabsProps extends HTMLAttributes<HTMLDivElement> {
    /** Tabs content. */
    items: iTabItem[];
    /** The ID of the tab. */
    tab?: string | number;
    /** The ID of the initial tab. */
    initialTab?: string | number;
    /** Component style type. */
    type?: 'line' | 'card';
    /** the callback function that is triggered when switching tabs. */
    onTabChange?: (tabIndex: number | string) => void;
}

export declare interface ITextProps extends HTMLAttributes<HTMLSpanElement> {
    uppercase?: boolean;
    children?: ReactNode;
    size?: Size;
    dataTest?: string;
}

declare interface IUnknownProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface IVerificationsProps extends HTMLAttributes<HTMLDivElement> {
    /** Component style type. */
    type?: 'list' | 'collapse';
    /** Expand the list if there are errors. Only for type === 'collapse'. */
    openOnError?: boolean;
    /** Scroll to the selected result. */
    scrollToResult?: boolean;
}

declare interface IVerifiedProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface iVisualFieldTypeProps {
    children: ReactNode;
}

declare interface IWarningProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

declare interface IZipProps extends HTMLAttributes<HTMLSpanElement> {
    /** Icon fill color. */
    fillColor?: string;
    /** Icon size. */
    size?: number;
}

/** A component for displaying any objects. */
export declare const JsonViewer: FC<IJsonViewerProps>;

declare const LCID: FC<iLcidProps>;

declare const LightsLabel: FC<iLightsLabelProps>;

/** The link component. */
export declare const Link: FC<ILinkProps>;

/** LinkArrow icon. */
declare const LinkArrow: FC<ILinkArrowProps>;

/** Logs of document processing. */
export declare const Logs: () => JSX_2.Element | null;

/** Magnifier icon. */
declare const Magnifier: FC<IMagnifierProps>;

export declare const Match: IMatch;

/** Menu icon. */
declare const Menu: FC<IMenuProps>;

/** NotVerified icon. */
declare const NotVerified: FC<INotVerifiedProps>;

declare type OpenFieldsTabName = 'textData' | 'authenticity' | 'imageQuality' | 'identification';

declare const OpticalStatusField: FC<iOpticalStatusFieldProps>;

/** Document processing status. */
export declare const Overall: () => JSX_2.Element | null;

/** Personal data. */
export declare const PersonInfo: FC<IPersonInfoProps>;

/** Text with a hint. */
export declare const Popover: FC<IPopoverProps>;

declare const PortraitComparisonSource: FC<iPortraitComparisonSourceProps>;

/** Portraits comparison. */
export declare const PortraitsComparison: FC<IPortraitsComparisonProps>;

/** Question icon. */
declare const Question: ForwardRefExoticComponent<IQuestionProps & RefAttributes<HTMLSpanElement>>;

/** Refresh icon. */
declare const Refresh: FC<IRefreshProps>;

/** Processing request object. */
export declare const RequestViewer: FC<IRequestViewerProps>;

/** Processing response object. */
export declare const ResponseViewer: () => JSX_2.Element | null;

/** RFID data. */
export declare const Rfid: () => JSX_2.Element | null;

declare const RfidApplicationDescription: FC<iRfidApplicationDescriptionProps>;

declare const RfidApplicationType: FC<iRfidApplicationTypeProps>;

declare const RfidCertificateType: FC<iRfidCertificateTypeProps>;

declare const RfidDataFileType: FC<iRfidDataFileTypeProps>;

/** Custom scroll. */
export declare const Scroll: FC<IScrollProps>;

declare type ScrollTabName = 'textData' | 'authenticity' | 'imageQuality' | 'identification';

declare const SecurityFeatureTypeLabel: FC<iSecurityFeatureTypeLabelProps>;

declare const Sex: FC<iSexProps>;

declare type Size = '10x140' | '12x140' | '12x160' | '14x115' | '14x135' | '14x157' | '15x135' | '16x100' | '18x135' | '20x135';

export declare const Skeleton: ISkeleton;

declare const Source: FC<iSourceProps>;

declare const SourceDescription: FC<iSourceDescriptionProps>;

/** Includes Overall, Verifications, PersonInfo and About components. */
export declare const Status: FC<IStatusProps>;

/** Status skeleton. */
export declare const StatusLoader: () => JSX_2.Element;

/** Tables display sets of data. */
export declare const Table: FC<ITableProps>;

/** The Tab component allows users to switch between multiple content panels. */
export declare const Tabs: FC<iTabsProps>;

declare const Text_2: FC<ITextProps>;
export { Text_2 as Text }

export declare const Title: FC<IH1Props>;

declare type TOpenFieldsState = Record<OpenFieldsTabName, Set<string>>;

declare type TTabScrollState = Record<ScrollTabName, number>;

/** Unknown icon. */
declare const Unknown: FC<IUnknownProps>;

/** List of verifications. */
export declare const Verifications: FC<IVerificationsProps>;

/** Verified icon. */
declare const Verified: FC<IVerifiedProps>;

declare const VisualFieldType: FC<iVisualFieldTypeProps>;

/** Warning icon. */
declare const Warning: FC<IWarningProps>;

/** Zip icon. */
declare const Zip: FC<IZipProps>;

export { }
